# featureSetUpdated

Emitted when the features set changes. The updated features are included in the payload.

Read about the features specification in the [features](/reference/sdk/properties/features.md) property.

{% hint style="info" %}
You can access the latest features set directly through the [features](/reference/sdk/properties/features.md) property.
{% endhint %}

#### Sample payload

```json
{
  "type": "featureSetUpdated",
  "data": {
    "state": {
        //Look at the features property for full payload description
    }
  }
}
```

#### Sample subscription code

```javascript
sambaFrame.on('featureSetUpdated', (event) => {
  const features = event.data.state;
  //Read some properties from the updated feature state
  console.log('Chat state is:', features['chat']);
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/events/featuresetupdated.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
